get
https://{domainname}/ca_reports/fetchCDRDetails
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
Loadingā¦
Use this API to retrieve Call Detail Records (Detailed View) for any specific day within the past 15 days from the time of the request.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
To use this API with the help of a token, follow these steps:
- Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
- Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
- With the token entered, pass the below header and body parameters:
Header parameters
| Parameter | Description |
|---|---|
| Content-Type | application/json |
Body Params
Pass the body params in the format:
{
"fromDate": "YYYY-MM-DD HH:MM:SS",
"toDate": "YYYY-MM-DD HH:MM:SS",
"userName": "xxxx",
"ucid": "123",
"campaignName": "xxxxxxxxx",
"monitorUCID": "17xxxxxxx9372",
"callType": "Progressive",
"status": "NotAnswered"
}
Note:
- Mandatory Parameters are:
- fromDate
- toDate
- username
- Rate limit: Maximum of 2 requests per minute.
- The API provides data for a single day within the last 15 days from the time of the request.
Possible responses
| Success Response | { "details": [ { "AgentDialStatus": "answered", "AgentID": "xxxxx", "AgentName": "xxxxx", "CallAudio": "https://s3.ap-southeast-1.amazonaws.com/recordings.kookoo.in/demo_user/xxxxxxxx567.mp3", "CallDate": "2024-12-06", "CallID": 31733467784618213, "CallerConfAudioFile": "", "CallerID": "504995", "CampaignName": "xxxxxxxx", "Comments": "", "ConferenceDuration": "00:00:00", "CustomerDialStatus": "answered", "CustomerRingTime": "00:00:00", "DID": "90050", "DialOutName": "", "DialStatus": "answered", "DialedNumber": "500994", "Disposition": "Wrap up time exceeded :1", "Duration": "00:00:56", "DynamicDID": "", "E164": "+91504995", "EndTime": "12:20:57", "Event": "AgentDial", "HandlingTime": "00:00:58", "HangupBy": "UserHangup", "HoldDuration": "00:00:00", "Location": "Bangalore", "PickupTime": "12:20:01", "Rating": 0, "RatingComments": "", "Skill": "General", "StartTime": "12:20:00", "Status": "Answered", "TalkTime": "00:00:56", "TimeToAnswer": "00:00:01", "TransferType": "", "TransferredTo": "", "Type": "InBound", "UCID": 31xxxxxxxx8, "UUI": "", "WrapUpEndTime": "12:20:59", "WrapUpStartTime": "12:20:57", "WrapupDuration": "00:00:02" } ][ { "AgentDialStatus": "answered", "AgentID": "xxxxx", "AgentName": "xxxxx", "CallAudio": "https://s3.ap-southeast-1.amazonaws.com/recordings.kookoo.in/demo_user/xxxxxxxx567.mp3", "CallDate": "2024-12-06", "CallID": 31733467784618213, "CallerConfAudioFile": "", "CallerID": "504995", "CampaignName": "xxxxxxxx", "Comments": "", "ConferenceDuration": "00:00:00", "CustomerDialStatus": "answered", "CustomerRingTime": "00:00:00", "DID": "90050", "DialOutName": "", "DialStatus": "answered", "DialedNumber": "500994", "Disposition": "Wrap up time exceeded :1", "Duration": "00:00:56", "DynamicDID": "", "E164": "+91504995", "EndTime": "12:20:57", "Event": "AgentDial", "HandlingTime": "00:00:58", "HangupBy": "UserHangup", "HoldDuration": "00:00:00", "Location": "Bangalore", "PickupTime": "12:20:01", "Rating": 0, "RatingComments": "", "Skill": "General", "StartTime": "12:20:00", "Status": "Answered", "TalkTime": "00:00:56", "TimeToAnswer": "00:00:01", "TransferType": "", "TransferredTo": "", "Type": "InBound", "UCID": 31xxxxxxxx8, "UUI": "", "WrapUpEndTime": "12:20:59", "WrapUpStartTime": "12:20:57", "WrapupDuration": "00:00:02" } ], "message": "success", "status": "success" } |
| if Token Expired | "{ ""status"": ""false"", ""message"": ""Token Expired"", ""data"": null }" |
| Invalid userName Key/ Missing userName key / Missing userName Value | {"status": "false","message": "Missing userName or apiKey"} |
| Invalid userName Value | {"status": "false","message": "userName or apiKey is Invalid"} |
| Invalid fromDate Key / Missing fromDate key / Missing fromDate Value / Invalid toDate Key / Missing toDate key / Missing toDate Value | {"message": "Missing fromDate and toDate","status": "fail"} {"message": "Missing fromDate and toDate","status": "fail"} |
| Invalid fromDate Value / Invalid toDate Value | {"message": "Invalid fromDate format. Please pass the date in the format yyyy-MM-dd HH:mm:ss","status": "fail"} |
| Invalid campaignName | "{""message"": ""Invalid campaignName"", ""status"": ""fail""}" |
| If future dates passed | {"message": "fromDate and toDate should not be future dates","status": "fail"} |
When passed a range of dates Like FromDate: 2024-09-01 | {"message": "fromDate and toDate should be same date","status": "fail"} |
| When more than 2 hits per minute are made | {"message": "API rate limit has been exceeded","status": "error"} |
| When passed invalid or wrong JSON. | {"status": "false","message": "Invalid Json Pass Valid Json"} |
